49.0 - 12 Sep, 2025
=====================

Changes since 49.rc

  - Added/Updated translations:
     - Brazilian-Portuguese
     - British-English
     - Danish
     - Dutch
     - Korean
     - Lithuanian
     - Spanish
     - Swedish
     - Turkish
     - Ukrainian

49.rc - 04 Sep, 2025
=====================

Changes since 49.beta

  - Added button tooltips to the topbar
  - Added saving of user-preferred window size
  - Allow shrinking display size down to 360x294
  - Allow building without spice-gtk3
  - Handle existing SPICE connections when SPICE is disabled

  - Added/Updated translations:
     - Basque
     - Chinese
     - Czech
     - Finnish
     - Galician
     - Georgian
     - Hebrew
     - Hungarian
     - Japanese
     - Persian
     - Polish
     - Romanian
     - Russian
     - Swedish

49.beta - 15 Aug, 2025
=====================

Changes since 48.0

  - Added support for SPICE
  - Added shortcuts window
  - Fixed build by temporarily disabling OpenH264
  - Improved text in authentication dialog
  - Present main window on activation
  - Set prgname and icon for-the-window.patch
  - Ignore vscode settings
  - Add python six module due to flatpak
  - Disable C compiler warnings for generated code
  - Add translator comment for keywords
  - Update POTFILES.in
  - Update gtk-frdp

  - Added/Updated translations:
     - Belarusian
     - Catalan
     - Chinese
     - Friulian
     - Galician
     - Japanese
     - Romanian
     - Russian
     - Slovak
     - Slovenian
     - Turkish
     - Uzbek-Latin

48.0 - 14 Mar, 2025
=====================

Changes since 48.rc

  - Update gtk-frdp:
     - Fix keyboard layout in Flatpak
  - Request FreeRDP 3.11.0 for Flatpak

  - Added/Updated translations:
     - Korean
     - Norwegian-Bokmål

48.rc - 28 Feb, 2025
=====================

Changes since 48.beta

  - Updated translations:
     - Nepali

48.beta - 3 Feb, 2025
=====================

Changes since 47.0

  - Move GNOME/connections to GNOME/gnome-connections
  - Start using GNOME Release Service
  - Fix key events in fullscreen mode
  - Fix scrolling for VNC connections
  - Add GIT_SUBMODULE_STRATEGY recursive to bundle subprojects
  - Update gtk-frdp:
     - Queue drawing of the area from the main thread
  - Expand and modernize metainfo

  - Added/Updated translations:
     - Brazilian-Portuguese
     - Czech
     - Dutch
     - Serbian
     - Serbian-Latin
     - Thai


47.0 - 13 Sep, 2024
=====================

Changes since 47.0

  - Added/Updated translations:
     - Basque
     - Belarusian
     - Brazilian-Portuguese
     - British-English
     - Bulgarian
     - Catalan
     - Chinese-China
     - Czech
     - Danish
     - Finnish
     - French
     - Galician
     - Georgian
     - German
     - Greek
     - Hebrew
     - Hindi
     - Indonesian
     - Kazakh
     - Korean
     - Latvian
     - Lithuanian
     - Norwegian-Bokm-l
     - Occitan
     - Persian
     - Polish
     - Portuguese
     - Romanian
     - Russian
     - Spanish
     - Swedish
     - Thai
     - Turkish
     - Ukrainian

47.beta - 5 Aug, 2024
=====================

Changes since 47.alpha

  - Update text describing remote desktop settings location
  - Make PATH translatable

  - Added/Updated translations:
     - Slovak
     - Turkish
     - Chinese
     - Occitan
     - Slovenian
     - Hungarian

47.alpha - 15 Jul, 2024
=====================

Changes since 46.0

  - Bump freerdp version to 3.6.3 for flatpak
  - Fix build of flatpak
  - Move fullscreen button to the topbar
  - Fix handling of authentication/certificate dialog

  - Update gtk-frdp
     - Make connection via RDP synchronous to prevent race conditions
     - Handle freerdp_shall_disconnect() sooner
     - Clear the update_id when the source is removed
     - Fix getting of properties for session
     - Do not block CPU during iterations
     - Disconnect handlers on disconnection
     - Wait until fuse-session thread is finished
     - Clear the clipboard if it contains remote data at finalize

  - Added/Updated translations:
     - Brazilian
     - German
     - Greek
     - Hindi
     - Kabyle
     - Nepali
     - Portuguese

46.0 - 18 Mar, 2024
=====================

Changes since 46.rc

  - Update links in app metadata
  - Clarify a title of a dialog

  - Update gtk-frdp
     - Do not attempt to process empty clipboard data
     - Do not send coordinates with smooth scroll
     - Limit value of mouse scroll

  - Updated translations:
     - Brazilian-Portuguese
     - Catalan
     - Danish
     - Italian
     - Korean
     - Latvian
     - Norwegian-Bokm-l
     - Occitan
     - Polish
     - Punjabi
     - Swedish

46.rc - 02 Mar, 2024
=====================

Changes since 46.beta

  - Fixed touchpad scrolling
  - Merge the duplicite doap files
  - Add platform information to doap file
  - Fix wrong developer id in metainfo

  - Update gtk-frdp
     - Add support for FreerRDP 3
     - Handle smooth scroll events smoothly

  - Updated translations:
     - Basque
     - British-English
     - Catalan
     - Chinese-China
     - Dutch
     - Finnish
     - French
     - Friulian
     - Galician
     - Georgian
     - German
     - Hebrew
     - Hungarian
     - Indonesian
     - Kazakh
     - Latvian
     - Lithuanian
     - Occitan
     - Persian
     - Russian
     - Slovenian
     - Spanish
     - Turkish
     - Ukrainian

46.beta - 10 Feb, 2024
=====================

Changes since 45.0

  - Add certificate verification for RDP
  - Add support for domains
  - Improve text of onboarding
  - Improve appdata for AppStream-1.0
  - Fix translation of vala files
  - Change icon for changed certificate
  - Update POTFILES.in

  - Update gtk-frdp
     - Fix several crashes related to clipboard channel
     - Retain file lists between window refocuses
     - Add funtionality for handling of certificate verification
     - Set initial keyboard layout to the local one
     - Fix too bright colors for some connections

  - Updated translations:
     - Basque
     - Catalan
     - Czech
     - Esperanto
     - Friulian
     - Persian
     - Romanian
     - Russian
     - Swedish
     - Turkish

45.0 - 16 Sep, 2023
=====================

Changes since 45.rc

  - Update gtk-frdp
    - Avoid files copy redundancy by using FUSE for pasting files
  - Update CI dependencies
  - Update flatpak modules
  - Added/updated/fixed translations:
    - Danish
    - Dutch
    - French
    - Italian
    - Lithuanian

45.rc - 02 Sep, 2023
=====================

Changes since 45.beta

  - Added/updated/fixed translations:
    - Basque
    - Chinese (China)
    - Czech
    - Finnish
    - Galician
    - Indonesian
    - Kazakh
    - Korean
    - Occitan
    - Polish
    - Punjabi
    - Spanish
    - Swedish
    - Turkish

45.beta - 05 Aug, 2023
=====================

Changes since 44.1

  - Close onboarding dialog when pressing ESC
  - Add mnemonics to Close/No Thanks button to onboarding
  - Update gtk-frdp
    - Desktop resize fixes
    - Clipboard channel support
  - Added/updated/fixed translations:
    - Belarusian
    - Brazilian Portuguese
    - Chinese (China)
    - Dutch
    - Georgian
    - German
    - Greek
    - Hebrew
    - Hungarian
    - Icelandic
    - Italian
    - Latvian
    - Persian
    - Portuguese
    - Russian
    - Slovak
    - Slovenian
    - Ukrainian

44.0 - 18 Mar, 2023
=====================

Changes since 44.rc

  - Added rdp-preferences-window.vala to POTFILES.in
  - Added/updated/fixed translations:
    - Bulgarian
    - Chinese (Taiwan)
    - Czech
    - Danish
    - French
    - Greek
    - Korean
    - Persian
    - Polish
    - Russian
    - Swedish

44.rc - 03 Mar, 2023
=====================

Changes since 44.beta

  - Update gtk-frdp
  - Added/updated/fixed translations:
    - Basque
    - Belarusian
    - Finnish
    - Friulian
    - Galician
    - German
    - Hebrew
    - Hungarian
    - Indonesian
    - Lithuanian
    - Occitan
    - Portuguese
    - Serbian
    - Slovenian
    - Spanish
    - Turkish
    - Ukrainian

44.beta - 11 Feb, 2023
=====================

Changes since 43.0

  - Update gtk-frdp
  - Allow resizing of remote desktops
  - Use app-id for icon name
  - Keep aspect ratios of remote desktops
  - Fix position of cursor for original scale
  - Switch to master branch of gtk-frdp
  - Use GNOME module post_install with meson
  - Added/updated/fixed translations:
    - Belarusian
    - French
    - Russian

43.0 - 16 Sep, 2022
=====================

Changes since 43.beta

  - Added/updated/fixed translations:
    - Abkhazian
    - Croatian
    - Latvian
    - Turkish

43.beta - 05 Aug, 2022
=====================

Changes since 42.1.2

  - Add Marek Kasik as maintainer
  - Raise libhandy dependency to 1.6.0
  - Update flatpak with gtk-vnc 1.3.1
  - Update flatpak with freerdp 2.8 and disable FFMPEG
  - Fix expanding of ConnectionsDisplayView on window resize
  - Match appdata with app-id
  - Update (or drop) the Docker image used by Flatpak job
  - Wait for RDP connection to continue
  - Added/updated/fixed translations:
    - Abkhazian
    - Dutch
    - Georgian
    - Nepali

42.1.2 - 12 Apr, 2022
=====================

Changes since 42.1.1

  - Fix handling of non-char keyboard input

42.1.1 - 07 Apr, 2022
=====================

Changes since 42.1

  - Fix crash with multiple simultaneous connections
  - Allow for resizing and maximizing a display view
  - Reset credentials when authentication fails
  - Fix connection deletion on notification timeout

42.1 - 05 Apr, 2022
=====================

Changes since 42.0

  - Fixed double-free crash while connecting to RDP servers
  - Fixed RDP scaling and resizing issues
  - Added/updated/fixed translations:
    - German
    - Vietnamese

42.0 - 21 Mar, 2022
===================

Changes since 42.beta

  - Add screenshots to appdata
  - Added/updated/fixed translations:
    - Polish
    - Swedish
    - Korean
    - Bulgarian
    - French
    - Czech
    - Danish
    - Serbian
    - Kazakh
    - Italian

42.beta - 24 Feb, 2022
======================

Changes since 41.0

  - Finalize deleted connections
  - Save credentials in the keyring
  - Expose setting to enable/disable audio for VNC connections
  - Fix clibpard issues with VNC
  - Fix issue with the search grabing input from display
  - Added libhandy color scheme API
  - Improve thumbnail drawing logic
  - Added/updated/fixed translations:
    - Finnish
    - Slovak
    - Lithuanian
    - Japanese
    - Galician
    - Basque
    - Catalan
    - Turkish
    - Danish
    - Russian
    - Slovenian
    - Brazilian Portuguese
    - Czech
    - Indonesian
    - Chinese (China)
    - Hungarian
    - French
    - Icelandic
    - Hebrew
    - Korean
    - Croatian
    - Occitan
    - Portuguese
    - Friulian
    - Ukrainian
    - Swedish
    - Serbian
    - Vietnamese
    - Punjabi

41.0 - 17 Sep, 2021
====================

All contributors to this release:

Felipe Borges <felipeborges@gnome.org>

41.rc - 02 Sep, 2021
======================

Changes since 41.beta

  - Fix interactive authentication of RDP connections
  - Improve thumbnailer efficiency

All contributors to this release:

Felipe Borges <felipeborges@gnome.org>

41.beta - 12 Aug, 2021
======================

Changes since 41.alpha

  - New onboarding dialog with instructions to use the app
  - Allow window to shrink
  - Connect to address after adding it
  - Validate server addresses
  - Display connection errors as notifications
  - Add command line option to launch a connection in fullscreen
  - Indicate that a connection is open by showing its thumbnail
  - Various internal refactorings
  - Added/updated/fixed translations:
    - Catalan
    - Friulian
    - German
    - Hebrew
    - Lithuanian
    - Slovenian
    - Spanish

All contributors to this release:

Allan Day <allanpday@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Jakub Steiner <jimmac@gmail.com>
Jordi Mas <jmas@softcatala.org>
Matej Urbančič <mateju@src.gnome.org>
Philipp Kiemle <philipp.kiemle@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>

41.alpha - 09 Jul, 2021
=======================

Changes since 40.0

  - Add shared clipboard support for VNC connections
  - Add a preferences dialog (based in Hdy.PreferencesWindow)
  - Introduce Onboarding dialog
  - Add new application icon
  - Add new connection creation assistant
  - Handle authentication failures
  - Add fullscreen support
  - Add VNC display scale modes setting
  - Default display scaling to "fit-window"
  - Add "vnc, rdp, remote" keywords to desktop file
  - Enable type-to-search in the main view
  - Only show search button when collection isn't empty
  - Dismiss notifications on exit
  - Add a few keyboard shortcuts
  - Added/updated/fixed translations:
  - Update app metadata
    - Basque
    - Brazilian Portuguese
    - Danish
    - Dutch
    - Galician
    - Hebrew
    - Indonesian
    - Korean
    - Nepali
    - Occitan
    - Persian
    - Polish
    - Portuguese
    - Romanian
    - Russian
    - Slovak
    - Slovenian
    - Spanish
    - Swedish
    - Ukrainian

All contributors to this release:

Alexey Rubtsov <rushills@gmail.com>
Allan Day <allanpday@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Andika Triwidada <atriwidada@gnome.org>
Asier Sarasua Garmendia <asiersarasua@ni.eus>
Ask Hjorth Larsen <asklarsen@gmail.com>
Balló György <ballogyor@gmail.com>
Changwoo Ryu <cwryu@debian.org>
Cédric Valmary <cvalmary@yahoo.fr>
Danial Behzadi <dani.behzi@ubuntu.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Fran Dieguez <frandieguez@gnome.org>
Hugo Carvalho <hugokarvalho@hotmail.com>
Jakub Steiner <jimmac@gmail.com>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Manuel Wassermann <manuel.wassermann97@gmail.com>
Matej Urbančič <mateju@src.gnome.org>
Nathan Follens <nfollens@gnome.org>
Pawan Chitrakar <chautari@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Quentin PAGÈS <pages_quentin@hotmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Veli Tasali <veli.tasali@gmail.com>
Yaron Shahrabani <sh.yaron@gmail.com>
Yuri Chornoivan <yurchor@ukr.net>

40.0 - Mar 19, 2021
===================

Changes since 40.rc

  - Update app icon in the documentation
  - Added/updated/fixed translations:
    - Norwegian Bokmål
    - Polish
    - Finnish
    - Hungarian
    - Czech
    - British English
    - French
    - Italian
    - Greek
    - Serbian

All contributors to this release:

Balázs Úr <balazs@urbalazs.hu>
Efstathios Iosifidis <eiosifidis@gnome.org>
Felipe Borges <felipeborges@gnome.org>
Guillaume Bernard <associations@guillaume-bernard.fr>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kjartan Maraas <kmaraas@gnome.org>
Marek Černocký <marek@manet.cz>
Марко Костић <marko.m.kostic@gmail.com>
Milo Casagrande <milo@milo.name>
Piotr Drąg <piotrdrag@gmail.com>
Sabri Ünal <libreajans@gmail.com>
Stephan Woidowski <swoidowski@t-online.de>

40.rc - Mar 12, 2021
====================

Changes since 3.37.90

  - Validate connection port range
  - Add "Devel" build profile
  - Produce a nightly build
  - Add initial documentation files
  - Sync connection configurations with database
  - Add a badwidth/quality property for VNC connections
  - Reinstate the GNOME brand
  - Rename executable to "gnome-connections"
  - Make connection address label selectable
  - Dismiss notifications when closing the app
  - Revamp the connection properties dialog
  - Mark GtkChild object references as unowned
  - Update screenshot to dark variant theme
  - Added/updated/fixed translations:
    - Ukrainian
    - Brazilian Portuguese
    - Persian
    - Chinese (China)
    - Indonesian
    - Finnish
    - Czech
    - Catalan
    - Friulian
    - Spanish
    - Basque
    - Galician
    - British English
    - Croatian
    - Slovak
    - Turkish
    - Slovenian
    - Swedish
    - Japanese
    - Polish
    - German
    - Danish
    - Korean
    - Hungarian
    - French
    - Greek
    - Italian
    - Hebrew
    - Chinese (Taiwan)
    - Esperanto
    - Romanian
    - Lithuanian
    - Portuguese
    - Punjabi
    - Kazakh

All contributors to this release:

A S Alam <amanpreet.alam@gmail.com>
Aliya Rahmani <aliyarahmani786@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Andika Triwidada <atriwidada@gnome.org>
Asier Sarasua Garmendia <asiersarasua@ni.eus>
Ask Hjorth Larsen <asklarsen@gmail.com>
Aurimas Černius <aurisc4@gmail.com>
Balázs Meskó <meskobalazs@mailbox.org>
Balázs Úr <balazs@urbalazs.hu>
Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Boyuan Yang <073plan@gmail.com>
Bruce Cowan <bruce@bcowan.me.uk>
Charles Monzat <charles.monzat@free.fr>
Cheng-Chia Tseng <pswo10680@gmail.com>
Chris Heywood <15127-creywood@users.noreply.gitlab.gnome.org>
Christian Kirbach <Christian.Kirbach@gmail.com>
DaeHyun Sung <sungdh86@gmail.com>
Danial Behzadi <dani.behzi@ubuntu.com>
Daniel Mustieles <daniel.mustieles@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Fran Dieguez <frandieguez@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Guillaume Bernard <associations@guillaume-bernard.fr>
Hugo Carvalho <hugokarvalho@hotmail.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Matej Urbančič <mateju@svn.gnome.org>
Mike L <cl.jeremy@qq.com>
Milo Casagrande <milo@milo.name>
Philipp Kiemle <philipp.kiemle@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rffontenelle@gmail.com>
Rohan M <rohan@crazydeveloper.fail>
Ryuta Fujii <translation@sicklylife.jp>
Sabri Ünal <libreajans@gmail.com>
Yosef Or Boczko <yoseforb@gnome.org>
Yuri Chornoivan <yurchor@ukr.net>
Zander Brown <zbrown@gnome.org>

3.37.90 - Aug 10, 2020
======================

Changes since 3.37.2

  - Drop the "GNOME" suffix because we are not a core app
  - Make the CI publish Connections to the GNOME Nightly repo
  - Allow building with system gtk-frdp if found
  - Account for offset of event_box child when relaying events
  - Support opening .vnc files (from Vinagre)
  - Handle command-line arguments
  - Add search support
  - Fix rpath linking with subprojects

All contributors to this release:

Felipe Borges <felipeborges@gnome.org>
Jason Gerecke <killertofu@gmail.com>
Jordan Petridis <jpetridis@gnome.org>
Rasmus Thomsen <oss@cogitri.dev>

3.37.2 - Jul 21, 2020
=====================

Changes since 3.37.1

  - Fix command name in the desktop file
  - Prefer dark theme
  - Show version number in the about dialog
  - Grab focus for password field in the authentication dialog
  - Make gtk-frdp a meson/git subproject/submodule dependency
  - Add CI build test for Fedora Rawhide

All contributors to this release:

Felipe Borges <felipeborges@gnome.org>
Manuel Wassermann <manuel.wassermann97@gmail.com>
Marius Gedminas <marius@gedmin.as>

3.37.1 - Apr 24, 2020
=====================

This is the first public release of Connections.

All contributors to this release:

Felipe Borges <felipeborges@gnome.org>
